
Infrastructure - Bug #4135

OneMercury 'filter for data' was excluding some metadata by 'documents' relationship

2013-10-29 15:00 - Skye Roseboom

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

The 'filter for data' option in OneMercury was coded to work against 'documents' relationship from ORE documents.  This was to

exclude data packages (ORE) that were being used to aggregate metadata - with no data.   However this strategy also caused

metadata documents that are in ORE but only participate in documentedBy relationships (to other metadata files).   The dryad

member node uses this model in most data packages.

Changing the filter logic to filter by resourceMap attribute again.  This does mean that data packages (ORE) will be displayed even if

it is only aggregating metadata files.

Related issues:

Related to Infrastructure - Story #4193: Release CCI 1.2.4 Features Closed 2013-12-11 2013-12-14

History

#1 - 2013-10-29 15:00 - Skye Roseboom

- Status changed from In Progress to Testing

#2 - 2013-10-29 15:05 - Skye Roseboom

Fix is to class SolrTransactionServiceDelegate.java in d1_mercury_common.

#3 - 2013-12-11 20:33 - Skye Roseboom

- Status changed from Testing to Closed

Tested on cn-stage-2 from release branch for CCIT release 1.2.4.
